@import url("https://fonts.googleapis.com/css2?family=Open+Sans:wght@300&display=swap");

:root {
  --success-color: green;
  --error-color: red;
}

* {
  box-sizing: border-box;
}

body {
  background-color: brown;
  font-family: "Open Sans", sans-serif;
  display: flex; /*facilidad para ubicar el formulario en el centro*/
  align-items: center;
  justify-content: center;
  min-height: 100vh; /*viewport high unit*/
  margin: 0;
}

.container {
  background-color: azure;
  border-radius: 20px;
  box-shadow: 0 2px 5px aqua;
  width: 400px;
}

h2 {
  text-align: center;
  margin: 0 0 20px;
}

.form {
  padding: 30px 40px;
}

.form-control {
  margin-bottom: 10px;
  padding-bottom: 20px;
  position: relative;
}

.form-control label {
  color: darkgray;
  display: block;
  margin-bottom: 5px;
}

.form-control input {
  border: 2px solid #ffdbdb;
  border-radius: 4px;
  display: block;
  width: 100%;
  padding: 10px;
  font-size: 14px;
}

.form-control input:focus {
  outline: 0;
  border-color: #777;
}

.form-control.success input {
  border-color: var(--success-color);
}

.form-control.error input {
  border-color: var(--error-color);
}

.form-control small {
  color: var(--error-color);
  position: absolute;
  bottom: 0;
  left: 0;
  visibility: hidden;
}

.form-control.error small {
  visibility: visible;
}

.form button {
  cursor: pointer;
  background-color: aqua;
  border: 2px solid aqua;
  border-radius: 8px;
  color: white;
  display: block;
  font-size: 16px;
  padding: 10px;
  margin-top: 20px;
  width: 100%;
}
